/* ---------------------------------------------------------- */
/* @(#) KRH.SQL V100                */
/* ---------------------------------------------------------- */
/* Product Provided Situations and Templates for              */
/*  IBM Tivoli Advanced Reporting for DFSMShsm Monitoring Agent  */
/*                                                            */
/* Licensed Materials - Property of IBM                       */
/* Copyright IBM Corp. 2005 All Rights Reserved               */
/* US Government Users Restricted Rights - Use, duplication or*/
/* disclosure restricted by GSA ADP Schedule Contract with    */
/* IBM Corp.                                                  */
/*                                                            */
/* Warning: this file contains ascii binary data that cannot  */
/*          be ftp'ed as TEXT between ascii and ebcdic hosts. */
/* ---------------------------------------------------------- */


/* Tasks */

DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HRECOVER";

DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HRECALL";

DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HMIGRATE";

DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HDELETE";

DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HBDELETE";

DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HBACKDS";

DELETE FROM O4SRV.CCT
WHERE KEY = "KRH_HCANCEL";

/* Situations */
DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Mig_Vol_Available";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Mig_Vol_Available";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Duplicate_DSN_In_MCDS";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Duplicate_DSN_In_MCDS";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Mig_Copy_Already_Exist";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Mig_Copy_Already_Exist";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Data_Set_In_Use";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Data_Set_In_Use";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Space_In_Mig_Vol";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Space_In_Mig_Vol";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_L0_Vol_Not_Available";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_L0_Vol_Not_Available";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Migration_Held";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Migration_Held";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Unsupported_Data_Set";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Unsupported_Data_Set";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Cant_Mv_Bkup_Miss_Vol";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Cant_Mv_Bkup_Miss_Vol";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Vol_For_Bkup";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Vol_For_Bkup";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Data_Set_In_Use";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Data_Set_In_Use";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_DS_Not_Elig_For_Bkup";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_DS_Not_Elig_For_Bkup";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Ext_Record_Missing";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Ext_Record_Missing";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Space_On_Bkup_Vol";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Space_On_Bkup_Vol";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Bkup_Funct_Disabled";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Bkup_Funct_Disabled";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Bkup_Failed_For_DSN";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Bkup_Failed_For_DSN";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Backup_Held";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Backup_Held";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_BCDS_Record_Not_Found";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_BCDS_Record_Not_Found";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Fail_In_Bkvol_Dump";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Fail_In_Bkvol_Dump";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Unsupported_Data_Set";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Unsupported_Data_Set";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Error_Editing_CDS";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Error_Editing_CDS";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Mig_Vol_Not_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Mig_Vol_Not_Avail";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Pri_Vol_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Pri_Vol_Avail";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Request_Vol_Not_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Request_Vol_Not_Avail";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Insuff_Sp_On_Trg_Vol";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Insuff_Sp_On_Trg_Vol";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Unit_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Unit_Avail";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Cant_Recover_w_NewName";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Cant_Recover_w_NewName";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recover_Failed";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recover_Failed";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recall_Delete_Held";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recall_Delete_Held";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Restore_Failed";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Restore_Failed";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recall_Recover_Error";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recall_Recover_Error";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Pri_Vol_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Pri_Vol_Avail";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_No_Uni_Avail";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_No_Uni_Avail";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recover_Failed";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recover_Failed";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Existing_DS_Delete_Err";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Existing_DS_Delete_Err";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recall_Delete_Held";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recall_Delete_Held";

DELETE FROM O4SRV.TSITDESC
WHERE SITNAME = "KRH_Recall_Recovery_Err";

DELETE FROM O4SRV.TOBJACCL
WHERE OBJNAME = "KRH_Recall_Recovery_Err";

